org.eclipse.cdt.utils.elf

## Class ElfHelper

- java.lang.Object
- - org.eclipse.cdt.utils.elf.ElfHelper

    public class ElfHelper
    extends Object

`ElfHelper` is a wrapper class for the `Elf` class to provide higher level API for sorting/searching the ELF data.

See Also:
  `Elf`

### Nested Class Summary

Nested Classes
`class` `ElfHelper.Sizes`

### Constructor Summary

Constructors
Constructor and Description
`ElfHelper(Elf elf)` Create a new `ElfHelper` using an existing `Elf` object.
`ElfHelper(String filename)` Create a new `ElfHelper` based on the given filename.
`ElfHelper(String filename, long fileoffset)` Create a new `ElfHelper` based on the given filename.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`Elf.Symbol[]` `getCommonObjects()`
`Elf` `getElf()` Give back the Elf object that this helper is wrapping
`Elf.Symbol[]` `getExternalFunctions()`
`Elf.Symbol[]` `getExternalObjects()`
`Elf.Symbol[]` `getLocalFunctions()`
`Elf.Symbol[]` `getLocalObjects()`
`Elf.Dynamic[]` `getNeeded()`
`String` `getQnxUsage()`
`ElfHelper.Sizes` `getSizes()`
`String` `getSoname()`
`Elf.Symbol[]` `getUndefined()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ElfHelper

    public ElfHelper(Elf elf)
              throws IOException

Create a new `ElfHelper` using an existing `Elf` object.

Parameters:
  `elf` - An existing Elf object to wrap.
Throws:
  `IOException` - Error processing the Elf file.

#### ElfHelper

    public ElfHelper(String filename)
              throws IOException

Create a new `ElfHelper` based on the given filename.

Parameters:
  `filename` - The file to use for creating a new Elf object.
Throws:
  `IOException` - Error processing the Elf file.
See Also:
  `Elf.Elf( String )`

#### ElfHelper

    public ElfHelper(String filename,
                     long fileoffset)
              throws IOException

Create a new `ElfHelper` based on the given filename.

Parameters:
  `filename` - The file to use for creating a new Elf object.
Throws:
  `IOException` - Error processing the Elf file.
See Also:
  `Elf.Elf( String )`

### Method Detail

#### dispose

    public void dispose()

#### getElf

    public Elf getElf()

Give back the Elf object that this helper is wrapping

#### getExternalFunctions

    public Elf.Symbol[] getExternalFunctions()
                                      throws IOException

Throws:
  `IOException`

#### getExternalObjects

    public Elf.Symbol[] getExternalObjects()
                                    throws IOException

Throws:
  `IOException`

#### getUndefined

    public Elf.Symbol[] getUndefined()
                              throws IOException

Throws:
  `IOException`

#### getLocalFunctions

    public Elf.Symbol[] getLocalFunctions()
                                   throws IOException

Throws:
  `IOException`

#### getLocalObjects

    public Elf.Symbol[] getLocalObjects()
                                 throws IOException

Throws:
  `IOException`

#### getCommonObjects

    public Elf.Symbol[] getCommonObjects()
                                  throws IOException

Throws:
  `IOException`

#### getNeeded

    public Elf.Dynamic[] getNeeded()
                            throws IOException

Throws:
  `IOException`

#### getSoname

    public String getSoname()
                     throws IOException

Throws:
  `IOException`

#### getQnxUsage

    public String getQnxUsage()
                       throws IOException

Throws:
  `IOException`

#### getSizes

    public ElfHelper.Sizes getSizes()
                             throws IOException

Throws:
  `IOException`